CVE-2005-2439
CVSS7.5
发布时间 :2005-08-03 00:00:00
修订时间 :2016-10-17 23:27:16
NMCO    

[原文]SQL injection vulnerability in UseBB 0.5.1 and earlier, when magic_quotes_gpc is disabled, allows remote attackers to execute arbitrary SQL commands via the search function.


[CNNVD]UseBB 跨站脚本执行及SQL注入漏洞(CNNVD-200508-020)

        UseBB是一个易于使用的PHP/MySQL公告牌系统,支持多用户和管理功能。
        UseBB代码中存在两个漏洞。第一个漏洞存在于处理颜色的代码中。由于没有过滤颜色值,因此攻击者可以对生成的标签注入任意样式表信息。在Internet Explorer中这可能允许通过调用expression()函数执行Javascript。
        另一个漏洞存在于实现magic_quotes_gpc=Off模拟的方式中。如果禁用了这个特性的话,_GET、_POST和_COOKIE就会自动addslashed()。但是_REQUEST不是自动的,因此论坛的搜索功能就没有得到保护,导致各种SQL注入。
        以上两个漏洞都可能导致泄漏任意用户凭据,包括管理员凭据,允许攻击者完全控制论坛程序。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:usebb:usebb:0.2.1UseBB UseBB 0.2.1
cpe:/a:usebb:usebb:0.1.1UseBB UseBB 0.1.1
cpe:/a:usebb:usebb:0.1UseBB UseBB 0.1
cpe:/a:usebb:usebb:0.2.3UseBB UseBB 0.2.3
cpe:/a:usebb:usebb:0.3.2UseBB UseBB 0.3.2
cpe:/a:usebb:usebb:0.4.1UseBB UseBB 0.4.1
cpe:/a:usebb:usebb:0.2.2UseBB UseBB 0.2.2
cpe:/a:usebb:usebb:0.3.1UseBB UseBB 0.3.1
cpe:/a:usebb:usebb:0.2.3a
cpe:/a:usebb:usebb:0.5.1UseBB UseBB 0.5.1
cpe:/a:usebb:usebb:0.5UseBB UseBB 0.5
cpe:/a:usebb:usebb:0.4UseBB UseBB 0.4
cpe:/a:usebb:usebb:0.3UseBB UseBB 0.3
cpe:/a:usebb:usebb:0.2UseBB UseBB 0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2439
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2439
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200508-020
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112264706213040&w=2
(UNKNOWN)  BUGTRAQ  20050728 Advisory 12/2005: UseBB Multiple Vulnerabilities
http://www.hardened-php.net/advisory_122005.60.html
(VENDOR_ADVISORY)  MISC  http://www.hardened-php.net/advisory_122005.60.html
http://www.securityfocus.com/bid/14413
(UNKNOWN)  BID  14413
http://www.usebb.net/community/topic.php?id=605
(PATCH)  CONFIRM  http://www.usebb.net/community/topic.php?id=605
http://xforce.iss.net/xforce/xfdb/21652
(UNKNOWN)  XF  usebb-search-sql-injection(21652)

- 漏洞信息

UseBB 跨站脚本执行及SQL注入漏洞
高危 SQL注入
2005-08-03 00:00:00 2005-10-20 00:00:00
远程  
        UseBB是一个易于使用的PHP/MySQL公告牌系统,支持多用户和管理功能。
        UseBB代码中存在两个漏洞。第一个漏洞存在于处理颜色的代码中。由于没有过滤颜色值,因此攻击者可以对生成的标签注入任意样式表信息。在Internet Explorer中这可能允许通过调用expression()函数执行Javascript。
        另一个漏洞存在于实现magic_quotes_gpc=Off模拟的方式中。如果禁用了这个特性的话,_GET、_POST和_COOKIE就会自动addslashed()。但是_REQUEST不是自动的,因此论坛的搜索功能就没有得到保护,导致各种SQL注入。
        以上两个漏洞都可能导致泄漏任意用户凭据,包括管理员凭据,允许攻击者完全控制论坛程序。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.usebb.net/downloads/

- 漏洞信息

18547
UseBB Search Function _REQUEST SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-07-28 2005-07-27
Unknow Unknow

- 解决方案

Upgrade to version 0.5.1a or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站